afOpenFile opens a specified audio file and creates a file handle
structure which is used for subsequent calls to the Audio File
Library.

SYNOPSIS
#include <audiofile.h>

AFfilehandle afOpenFile(const char *path, const char *mode,
	const AFfilesetup seutp);

PARAMETERS
path is the path to the file to be opened.

mode specifies a mode for opening the file (typically "r" or "w").

setup is ignored unless the mode specifies writing.

RETURN VALUE
afOpenFile returns, upon success, a valid AFfilehandle which can be
used in subsequent calls to the Audio File Library for reading or
writing.

Upon failure, afOpenFile returns a null file handle
(AF_NULL_FILEHANDLE).

afCloseFile is used to close the file when it is no longer needed.

ERRORS
afOpenFile can produce the following errors:
AF_BAD_OPEN (open failed)
AF_BAD_READ (read failed)
AF_BAD_WRITE (write failed)
AF_BAD_LSEEK (lseek failed)
AF_BAD_MALLOC (memory allocation failed)
AF_BAD_FILEFMT (unrecognized file format)

SEE ALSO
afCloseFile
afNewFileSetup
afInitFileFormat
afReadFrames
afWriteFrames
